# SPDX-License-Identifier: Unlicense
# SPDX-FileCopyrightText: 2024 Vieno Hakkerinen <txt.file@txtfile.eu>
---
# tasks file for zabbix
- name: Create Folder
  become: yes
  ansible.builtin.file:
    group: wheel
    mode: '0755'
    owner: root
    path: /usr/local/etc/pkg/repos/
    recurse: true
    state: directory
- name: Copy FreeBSD.conf
  become: yes
  ansible.builtin.copy:
    dest: /usr/local/etc/pkg/repos/FreeBSD.conf
    group: wheel
    mode: '0644'
    owner: root
    src: FreeBSD.conf
- name: Install zabbix 6.4
  become: yes
  community.general.pkgng:
    name:
      - databases/postgresql15-server
      - net-mgmt/zabbix64-server
      - net-mgmt/zabbix64-frontend
    state: present
